跳转到内容

Chrono Edit Lora Gallery · Paintbrush

集成

模型 id chrono-edit-lora-gallery/paintbrush
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.02 20 API 积分 · ≈ ₽2.15 在此页面运行

获取 API 密钥
NVIDIA 图像编辑 最高 720p #paint#edit#sketch

草图引导的图像编辑,根据提示词转换涂绘区域

NVIDIA · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要应用于素描区域的更改。

•必填 image_url
拖放文件,或

用于编辑的图像。

resolution 默认 480p

结果图像的分辨率。

高级 mask · output_format · num_inference_steps · guidance_scale · lora_scale · seed · enable_safety_checker · turbo_mode · loras
mask_url
拖放文件,或

可选的图像蒙版,其中黑色区域标记需要素描或绘制的位置。

output_format 默认 png

结果图像的文件格式。

默认 8

要执行的去噪迭代总数。

默认 1

无分类器引导的强度。

默认 1

应用于 LoRA 适配器的缩放乘数。

推理过程中使用的种子。

默认 []

要合并的可选额外 LoRA 集合,最多 3 个。

POST /run/chrono-edit-lora-gallery/paintbrush?wait=20 报价 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Chrono Edit Lora Gallery · Paintbrush

根据 `prompt` 转换你在图像上绘制的区域来编辑图像。可选的 `mask_url` 标记要绘制的区域,其中黑色区域表示目标位置。`lora_scale` 范围为 0 到 2,分辨率为 480p 或 720p,默认输出 png。可通过 `loras` 合并最多 3 个额外 LoRA。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
用于编辑的图像。
mask_url可选 mask
类型url · image
可选的图像蒙版,其中黑色区域标记需要素描或绘制的位置。
prompt必填
类型string
描述要应用于素描区域的更改。
num_inference_steps可选
类型integer
默认值8
2 – 50
要执行的去噪迭代总数。
guidance_scale可选
类型number
默认值1
0 – 10
无分类器引导的强度。
resolution可选
类型enum
默认值480p
480p720p
结果图像的分辨率。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关;关闭设置仅对已授权账户生效。所有未获得该授权的请求都会进行安全检查。
lora_scale可选
类型number
默认值1
0 – 2
应用于 LoRA 适配器的缩放乘数。
seed可选
类型integer | null
推理过程中使用的种子。
output_format可选
类型enum
默认值png
jpegpngwebp
结果图像的文件格式。
turbo_mode可选
类型boolean
默认值true
用于加快推理的 Turbo 模式开关。
loras可选
类型object[]
默认值[]
要合并的可选额外 LoRA 集合,最多 3 个。
loras[].path必填
类型string
Safetensors 格式 LoRA 权重的位置,以 URL 或路径指定。
loras[].scale可选
类型number
默认值1
0 – 4
设置 LoRA 强度的缩放乘数。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chrono-edit-lora-gallery/paintbrush",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}编辑生成的图像。
prompt
string提供给推理过程的提示词。
seed
integer推理过程中使用的种子。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/chrono-edit-lora-gallery/paintbrush.md. 所有模型和指南: https://doitong.com/developers/llms.txt